export enum MessageType {
  /**
   * 系统消息
   */
  System = 1,
  /**
   * 积分消息
   */
  Integral = 2,
  /**
   * 互动消息
   */
  Interact = 3,
}
export enum QrCodeBusinessType {
  /**
   * 积分结账
   */
  PointsCheckout = 'PC',
  /**
   * 到店核销
   */
  InStoreWriteOff = 'ISWO',
  /**
   * 到店打卡
   */
  InStoreClockIn = 'ISCI',
  /**
   * 页面路径
   */
  PagePath = 'PP',
}
export enum PointStatus {
  // 状态(待确认1，已完成2，已驳回3，已撤销4)
  /**
   * 待确认
   */
  PendingConfirmation = 1,
  /**
   * 已完成
   */
  Completed = 2,
  /**
   * 已驳回
   */
  Rejected = 3,
  /**
   * 已撤销
   */
  Revoked = 4,
}
