export const useTask = () => {
  const types = ref({
    // 0: { title: '团队任务', bg: '', bgClass: 'bg-gradient-to-r from-[#cfe0ff] to-[#e1ecff]' },
    1: {
      title: '团队任务',
      bg: '',
      bgClass: 'bg-gradient-to-r from-[#cfe0ff] to-[#e1ecff]',
      color: '#2357e9',
    },
    2: {
      title: '抢单任务',
      bg: '',
      bgClass: 'bg-gradient-to-r from-[#ffcfcf] to-[#ffeae1]',
      color: '#f04c47',
    },
    3: {
      title: '指定任务',
      bg: '',
      bgClass: 'bg-gradient-to-r from-[#ffe8cf] to-[#fff3e1]',
      color: '#f89a2e',
    },
  })
  const getBgClass = (type: number) => types.value[type].bgClass
  return {
    types,
    getBgClass,
    getColor: (type: number) => types.value[type].color,
  }
}
